#!/bin/bash
echo 'startup ver 1.0.5'
touch /etc/passwd &> /dev/null
if [ $? == "1" ]
   then
   echo
   echo "Error: You must be root to run this script, type: sudo ./install.sh"
   echo
   exit 1
fi

echo 
echo
echo "-----------------------------------------"
echo "Welcome to the SignagePlayer installation"
echo "-----------------------------------------"

############################################################
#
# Directory setup
#
############################################################

if [ ! -d /Applications/SignagePlayer.app ] 
   then
   echo "Error: SignagePlayer defualt diretcory does not exist: /Applications/SignagePlayer.app"
   echo "Make sure you re-install the SignagePlayer to yhe default directoty & try again..."
   echo ""
   exit 1
fi


############################################################
#
# Add none prompting for sudo
#
############################################################

echo ""
read -p "Remove password prompting for sudo root?<Y|n>:"
if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
then   
   echo ""
   read -p "Enter the user name which you use to automatically login to this computer?:"
	
   if [ "$REPLY" == "" ]
   then
      echo ""
      echo "Error: no user entered so exiting"
      exit 1
   else 
      logUser=$REPLY
   fi

   if [ -d /Users/${REPLY} ]
   then

      if ! grep -q "root ALL=(ALL) ALL" /etc/sudoers
      then
	echo "root ALL=(ALL) ALL" >> /etc/sudoers
      fi
      if ! grep -q "$logUser ALL=(ALL) ALL" /etc/sudoers
      then
	echo "$logUser ALL=(ALL) ALL" >> /etc/sudoers
      fi

      if ! grep -q "root ALL=NOPASSWD: ALL" /etc/sudoers
      then
	echo "root ALL=NOPASSWD: ALL" >> /etc/sudoers
      fi
      if ! grep -q "$logUser ALL=NOPASSWD: ALL" /etc/sudoers
      then
	echo "$logUser ALL=NOPASSWD: ALL" >> /etc/sudoers
      fi

   else 
      echo
      echo "Error: Did not find user name \"$REPLY\" so exiting"
      echo
      exit 1
   fi

else

   echo
   echo "Sorry, SignagePlayer will not work without sudo prompt removal so exiting"
   echo
   exit 1
fi 


############################################################
#
# Auto start SignagePlayer
#
############################################################

echo ''
read -p "Would you like to Auto start SignagePlayer on login?<Y|n>:"
if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
then

   if [ ! -d /Users/${logUser}/Library/LaunchAgents ]
   then
      mkdir /Users/${logUser}/Library/LaunchAgents
   fi

   if [ ! -d /Users/${logUser}/Library/LaunchAgents/local.signageplayer.plist ]
   then
      cp local.signageplayer.plist /Users/${logUser}/Library/LaunchAgents/
      launchctl load /Users/${logUser}/Library/LaunchAgents/local.signageplayer.plist
   fi


fi
   



############################################################
#
# Reboot
#
############################################################

echo ''
read -p "Would you like to reboot this PC so you can test the changes?<Y|n>:"
if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
then

   LIMIT=5

   echo
   echo "Hit Control-C to stop from rebooting"
   echo

   while [ "$LIMIT" != 0 ]
   do
     LIMIT=$[LIMIT-1]
     echo "Rebooting in $LIMIT"
     sleep 1

done

echo -e "\a"  # Beep!

reboot

fi
   






